Subject: Re: [dnsext] draft-ietf-dnsext-dnskey-registry-fixes-01 editorials

From: "Rose, Scott W." <[email-masked]>
Date: Mon, 2 Nov 2009 07:13:09 -0500

On 10/30/09 12:59 PM, "Paul Hoffman" <[email-masked]> wrote:

> At 3:54 PM +0100 10/30/09, Alfred =?hp-roman8?B?SM5uZXM=?= wrote:
>> Hello again,
>> in an attempt to quickly follow up to the most recent versions of
>> the active DNS related I-Ds before IETF, I arrived at your draft,
>>    draft-ietf-dnsext-dnskey-registry-fixes-01.
> 
> Er, draft-ietf-dnsext-dnssec-registry-fixes-01
> 

Oops - got that.

>> Should the Reference to "FIPS 180-1" in the registry entry #3
>> better be updated to the current version, FIPS 180-3 ?
>> 
>> Similar for  "FIPS 186"  -->  "FIPS 186-3"  ?
> 
> As long as the technical details of the algorithms has not changed between
> versions of FIPS document, we should always refer to the -n version. This is
> because NIST usually names the first version without a number. Worse yet, NIST
> does not maintain the URLs for the old documents very well.
> 

The technical details usually do not change - only policy or recommended
operations languages changes.  I originally just grabbed what was listed in
the registry table currently.  Thus the out of date versions.

Scott

>> Should references to  FIPS 186[-3]  and  FIPS 180[-3]  be added
>> to this section?
>> 
>> For completeness:
>> [I-D.ogud-iana-protocol-maintenance-words]  now published as RFC 5702!
> 
> No, the references for this doc should only be things that appeared outside of
> the proposed registry example.
> 

===================================
Scott Rose
NIST
[email-masked]
ph: +1 301-975-8439
Google Voice: +1-571-249-3671

http://www.dnsops.gov/
===================================